include(`inc_html.m4')dnl
include(`inc_header.m4')dnl
dnl
_TITLE_(`scsv::empty_lines')
_P
`Tells whether to interpret empty lines or not. This parameter is taken into
account while using '_LINK_(`cxx_read',`scsv::read')` or '
_LINK_(`cxx_save',`scsv::save')`. Since empty lines might break data
integrity (number of columns mismatch), they are ignored
by default. When such row is found, W_STR_EMPTY warning is issued.'P_
_P
`If underlying boolean is set to '_I`true'I_`, empty lines are taken into
account. Empty row is allocated for them and internal '
_LINK_(`cxx_enum_state',`scsv::state')` is kept in OK condition.'
P_
_DECLARE_(`inline bool scsv::empty_lines'LPAR`bool el=false'RPAR`;',
`scsv.h',`scsv.h')
_SUBTITLE_(`Parameters')
_PROPERTY_(`el', `Enable or disable empty lines processing.')
_SUBTITLE_(`Return')
_P
`Function returns the same boolean value that was passed as '_I`el'I_
` parameter.'
P_
dnl
dnl _TITLE_(`Example')
dnl include(`inc_ce1.m4')dnl
dnl
_NAVI
_PREV_(`cxx_set_unquote',`scsv::set_unquote')
_NEXT_(`cxx_read_cols',`scsv::read_cols')
_EOL_
_UP_(`cxx_module',`C++ interface')
NAVI_
dnl
include(`inc_footer.m4')dnl
