include(`inc_html.m4')dnl
include(`inc_header.m4')dnl
dnl
_TITLE_(`scsv::str_is_quoted')
_P
`Tells if provided text (or part of it) is quoted or not, in context of
built-in CSV parser. It recognizes cases when text is NULL terminated or
columns separator stands in the middle of it, right after the unquote
character.'_P
_CODE
`"quoted text"\0    // ok
"quoted text",other text\0  // also ok
"some text\0    // not ok'
CODE_
_P
`The '_LINK_(`cxx_set_unquote',`scsv::set_unquote')` can be used
to set the tested quote character and '_LINK_(`cxx_set_iseparator',
`scsv::set_iseparator')` to detect columns inside text.'
P_
_DECLARE_(`const char * scsv::str_is_quoted'LPAR`const char * cStr'RPAR`;',
`scsv.h',`scsv.h')
_SUBTITLE_(`Parameters')
_PROPERTY_(`cStr', `C-string to be tested.')
_SUBTITLE_(`Return')
_P
`If first character of '_I`cStr'I_ equals provided unquote character,
location of next occurence of unquote character is returned but only if
following character equals internal columns separator or NULL-terminating byte.
NULL pointer is returned otherwise.'
P_
dnl
dnl _TITLE_(`Example')
dnl include(`inc_ce1.m4')dnl
dnl
_NAVI
_PREV_(`cxx_rows_count',`scsv::rows_count')
_NEXT_(`cxx_enum_state',`scsv::state')
_EOL_
_UP_(`cxx_module',`C++ interface')
NAVI_
dnl
include(`inc_footer.m4')dnl
